%define module_name Test-Time-HiRes
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Time.pm) perl(Time/HiRes.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: drop-in replacement for Test::Time to work with Time::HiRes
Group: Development/Perl
License: perl
URL: https://github.com/mjemmeson/Test-Time-HiRes

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MJ/MJEMMESON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Drop-in replacement for the Test::Time manpage that also works with the the Time::HiRes manpage
functions `usleep' and `gettimeofday'.

Must be loaded before importing functions from the Time::HiRes manpage.

Patches/suggestions very welcome. This was just a quick fix to a problem.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*

%changelog
* Thu Oct 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Sat Jul 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Tue Feb 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

